com.sun.mirror.type

## Class MirroredTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.mirror.type.MirroredTypeException

- All Implemented Interfaces:
    Serializable

      public class MirroredTypeException
      extends RuntimeException

  Thrown when an application attempts to access the `Class` object corresponding to a `TypeMirror`.
  See Also:
    `MirroredTypesException`, `Declaration.getAnnotation(Class)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MirroredTypeException(TypeMirror type)` Constructs a new MirroredTypeException for the specified type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getQualifiedName()` Returns the fully qualified name of the type being accessed.
    `TypeMirror` | `getTypeMirror()` Returns the type mirror corresponding to the type being accessed.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MirroredTypeException

          public MirroredTypeException(TypeMirror type)

      Constructs a new MirroredTypeException for the specified type.
      Parameters:
        `type` - the type being accessed

  - ### Method Detail

    - #### getTypeMirror

          public TypeMirror getTypeMirror()

      Returns the type mirror corresponding to the type being accessed. The type mirror may be unavailable if this exception has been serialized and then read back in.
      Returns:
        the type mirror, or `null` if unavailable

    - #### getQualifiedName

          public String getQualifiedName()

      Returns the fully qualified name of the type being accessed. More precisely, returns the canonical name of a class, interface, array, or primitive, and returns `"void"` for the pseudo-type representing the type of `void`.
      Returns:
        the fully qualified name of the type being accessed

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.